#include <stdio.h>
#include <stdlib.h>
#include <time.h>
#include <math.h>
#include <chrono>

#define MAX_TIME 1000
#define ABNORMAL_THRESHOLD 0.1

int main() {
	while(1) {
		// double startTime = clock() / (double)CLOCKS_PER_SEC * 1000;
		auto startTime = std::chrono::high_resolution_clock::now();
		long long count = 0;
		while(count < 1000000000) {
			count++;
		}
		auto endTime = std::chrono::high_resolution_clock::now();
		double delta = std::chrono::duration_cast<std::chrono::nanoseconds>(endTime - startTime).count() / 1000000.0;
		printf("time: %f\n", delta);
	}
}

// g++ -O1 -o bench.exe bench.cpp & bench.exe